Bug 499306 - Review Request: jconv - Jack Convolution Engine
Review Request: jconv - Jack Convolution Engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: 498862 499300
Blocks: 499975
  Show dependency treegraph
 
Reported: 2009-05-05 23:49 EDT by Orcan Ogetbil
Modified: 2009-06-04 17:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.8.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 17:13:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-05-05 23:49:24 EDT
Spec URL: http://oget.fedorapeople.org/review/jconv.spec
SRPM URL: http://oget.fedorapeople.org/review/jconv-0.8.1-1.fc10.src.rpm
Description:
Jconv is a Convolution Engine for JACK, based on FFT convolution and using
non-uniform partition sizes: small ones at the start of the IR and building up
to the most efficient size further on. It can perform zero-delay processing
with moderate CPU load.


rpmlint is silent
Comment 1 Orcan Ogetbil 2009-05-13 23:30:22 EDT
builds fine in koji rawhide:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1354051
Comment 2 Mattias Ellert 2009-05-19 13:58:13 EDT
Fedora review jconv-0.8.1-1.fc10.src.rpm 2009-05-19

* OK
! needs attention

* rpmlint output is OK:

  [ellert@ellert jconv]$ rpmlint *.rpm jconv.spec 
  3 packages and 1 specfiles checked; 0 errors, 0 warnings.

* Package is named according to guidlines

* Specfile is named after the package

* The package license tag (GPLv2+) is Fedora approved

* The package license tag matches the license statements in the sources

* The license file (COPYING) is installed as %doc

* The specfile is written in legible English

* Sources matches upstream, and are the latest version:

  7c194e36ecc59fd443ad08405cb40d73  SRPM/jconv-0.8.1.tar.bz2
  7c194e36ecc59fd443ad08405cb40d73  jconv-0.8.1.tar.bz2
  a33ec6a97fac039400f7674f3bde4ca9  SRPM/jconv-reverbs.tar.bz2
  a33ec6a97fac039400f7674f3bde4ca9  jconv-reverbs.tar.bz2

* Package compiles in mock (Fedora 10)

* Build requires are sane and reflect the libraries that are linked to
  during the build

* Package owns the directories it creates

* No duplicate files

* Permissions are sane and %files has %defattr

* %clean clears buildroot

* Macros are used consistently

* Package does not own other's directories

* %install clears buildroot

* Installed filenames are valid UTF8


Package approved.
Comment 3 Orcan Ogetbil 2009-05-19 14:40:24 EDT
Thank you for the review!

New Package CVS Request
=======================
Package Name: jconv
Short Description: Jack Convolution Engine
Owners: oget nando
Branches: F-9 F-10 F-11
InitialCC:
Comment 4 Kevin Fenzi 2009-05-20 01:45:34 EDT
cvs done.
Comment 5 Fedora Update System 2009-05-20 02:16:08 EDT
jconv-0.8.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jconv-0.8.1-1.fc11
Comment 6 Fedora Update System 2009-05-20 02:17:03 EDT
jconv-0.8.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jconv-0.8.1-1.fc10
Comment 7 Fedora Update System 2009-05-20 02:17:44 EDT
jconv-0.8.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jconv-0.8.1-1.fc9
Comment 8 Fedora Update System 2009-05-20 19:54:13 EDT
jconv-0.8.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jconv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5235
Comment 9 Fedora Update System 2009-05-20 19:57:00 EDT
jconv-0.8.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jconv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5253
Comment 10 Fedora Update System 2009-05-20 20:02:22 EDT
jconv-0.8.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update jconv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5276
Comment 11 Fedora Update System 2009-06-04 17:12:55 EDT
jconv-0.8.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-06-04 17:18:35 EDT
jconv-0.8.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-06-04 17:19:20 EDT
jconv-0.8.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.